'use strict';

(function () {

  function _obj() {}

  _obj.prototype = {

    setNext: function (next) {
      this.next = next;
    },

    identify: function (phone) {
      if (phone && phone.length == 13 && phone.charAt(0) == 0 && phone.substring(0,2) != '00') {
        return 'zeroCspDddEightDigits';
      }
      return this.next.identify(phone);
    }
  };

  exports.zeroCspDddEightDigitsIdentifier = _obj;
}());
